Added the ability to conditionally configure the reopt project if it is checked
[oota-llvm.git] / configure
index eba98302290f315e6d6cdff898ee9544b7e23a48..b88fe2db5ec4e6a9b5139369ce38e44afcf31b7a 100755 (executable)
--- a/configure
+++ b/configure
@@ -426,6 +426,7 @@ PACKAGE_VERSION='[1.0]'
 PACKAGE_STRING='[LLVM] [1.0]'
 PACKAGE_BUGREPORT='llvmbugs@cs.uiuc.edu'
 
+ac_subdirs_all="$ac_subdirs_all projects/reopt"
 # Factoring default headers for most tests.
 ac_includes_default="\
 #include <stdio.h>
@@ -464,7 +465,7 @@ ac_includes_default="\
 #endif"
 
 ac_unique_file=""Makefile.config.in""
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL RPWD SED RM MKDIR DATE MV DOT ETAGS PURIFY PYTHON QMTEST ALLOCA LIBOBJS MMAP_FILE ENABLE_PURIFY ENABLE_OPTIMIZED USE_SPEC UPB DISABLE_LLC_DIFFS JIT SPEC_ROOT BCR PAPIDIR LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL RPWD SED RM MKDIR DATE MV DOT ETAGS PURIFY PYTHON QMTEST ALLOCA LIBOBJS MMAP_FILE ENABLE_PURIFY ENABLE_OPTIMIZED USE_SPEC UPB DISABLE_LLC_DIFFS JIT SPEC_ROOT BCR PAPIDIR LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1517,6 +1518,14 @@ then
 echo "$as_me: error: Already configured in ${srcdir}" >&2;}
    { (exit 1); exit 1; }; }
        fi
+fi
+
+if test -d ${srcdir}/projects/reopt
+then
+
+
+subdirs="$subdirs projects/reopt"
+
 fi
 
           ac_config_headers="$ac_config_headers include/Config/config.h"
@@ -1587,9 +1596,6 @@ fi
           ac_config_commands="$ac_config_commands lib/ExecutionEngine/JIT/Makefile"
 
 
-          ac_config_commands="$ac_config_commands lib/Support/Makefile"
-
-
           ac_config_commands="$ac_config_commands lib/Target/Makefile"
 
 
@@ -1674,6 +1680,9 @@ fi
           ac_config_commands="$ac_config_commands test/Makefile.tests"
 
 
+          ac_config_commands="$ac_config_commands test/QMTestDB/QMTest/llvm.py"
+
+
           ac_config_commands="$ac_config_commands test/Programs/Makefile"
 
 
@@ -1947,6 +1956,21 @@ fi
           ac_config_commands="$ac_config_commands test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile"
 
 
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C++/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C++/EH/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C++/CompileFail/Makefile"
+
+
           ac_config_commands="$ac_config_commands tools/Makefile"
 
 
@@ -1965,40 +1989,28 @@ fi
           ac_config_commands="$ac_config_commands tools/gccld/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/link/Makefile"
-
-
           ac_config_commands="$ac_config_commands tools/llc/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/lli/Makefile"
-
-
-          ac_config_commands="$ac_config_commands tools/opt/Makefile"
-
-
           ac_config_commands="$ac_config_commands tools/llee/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/llvm-as/Makefile"
+          ac_config_commands="$ac_config_commands tools/lli/Makefile"
 
 
           ac_config_commands="$ac_config_commands tools/llvm-ar/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/llvm-dis/Makefile"
-
-
-          ac_config_commands="$ac_config_commands utils/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-as/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/Burg/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-dis/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/Burg/Doc/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-link/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/TableGen/Makefile"
+          ac_config_commands="$ac_config_commands tools/opt/Makefile"
 
 
           ac_config_commands="$ac_config_commands www/docs/Makefile"
@@ -2040,6 +2052,27 @@ fi
           ac_config_commands="$ac_config_commands projects/ModuleMaker/tools/ModuleMaker/Makefile"
 
 
+          ac_config_commands="$ac_config_commands support/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/lib/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/lib/Support/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Burg/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Burg/Doc/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/TableGen/Makefile"
+
+
 
 
 # Find a good install program.  We prefer a C program (faster),
@@ -4387,7 +4420,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4390 "configure"' > conftest.$ac_ext
+  echo '#line 4423 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5228,7 +5261,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5231:" \
+echo "$as_me:5264:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6237,11 +6270,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6240: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6273: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6244: \$? = $ac_status" >&5
+   echo "$as_me:6277: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6469,11 +6502,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6472: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6505: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6476: \$? = $ac_status" >&5
+   echo "$as_me:6509: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6536,11 +6569,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6539: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6572: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6543: \$? = $ac_status" >&5
+   echo "$as_me:6576: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8548,7 +8581,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8551 "configure"
+#line 8584 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8646,7 +8679,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8649 "configure"
+#line 8682 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10782,11 +10815,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10785: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10818: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10789: \$? = $ac_status" >&5
+   echo "$as_me:10822: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10849,11 +10882,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10852: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10885: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10856: \$? = $ac_status" >&5
+   echo "$as_me:10889: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12092,7 +12125,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12095 "configure"
+#line 12128 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12190,7 +12223,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12193 "configure"
+#line 12226 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13012,11 +13045,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13015: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13048: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13019: \$? = $ac_status" >&5
+   echo "$as_me:13052: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13079,11 +13112,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13082: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13115: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13086: \$? = $ac_status" >&5
+   echo "$as_me:13119: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15023,11 +15056,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15026: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15059: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15030: \$? = $ac_status" >&5
+   echo "$as_me:15063: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15255,11 +15288,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15291: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15262: \$? = $ac_status" >&5
+   echo "$as_me:15295: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15322,11 +15355,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15325: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15358: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15329: \$? = $ac_status" >&5
+   echo "$as_me:15362: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17334,7 +17367,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17337 "configure"
+#line 17370 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17432,7 +17465,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17435 "configure"
+#line 17468 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18465,6 +18498,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_RPWD" && ac_cv_path_RPWD="false"
   ;;
 esac
 fi
@@ -18478,6 +18512,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${RPWD} = "false"
+then
+       { { echo "$as_me:$LINENO: error: pwd required but not found" >&5
+echo "$as_me: error: pwd required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18504,6 +18545,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_AR" && ac_cv_path_AR="false"
   ;;
 esac
 fi
@@ -18517,6 +18559,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${AR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: ar required but not found" >&5
+echo "$as_me: error: ar required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "sed", so it can be a program name with args.
 set dummy sed; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18543,6 +18592,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_SED" && ac_cv_path_SED="false"
   ;;
 esac
 fi
@@ -18556,6 +18606,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${SED} = "false"
+then
+       { { echo "$as_me:$LINENO: error: sed required but not found" >&5
+echo "$as_me: error: sed required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18582,6 +18639,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_RM" && ac_cv_path_RM="false"
   ;;
 esac
 fi
@@ -18595,6 +18653,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${RM} = "false"
+then
+       { { echo "$as_me:$LINENO: error: rm required but not found" >&5
+echo "$as_me: error: rm required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "echo", so it can be a program name with args.
 set dummy echo; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18621,6 +18686,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ECHO" && ac_cv_path_ECHO="false"
   ;;
 esac
 fi
@@ -18634,6 +18700,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${ECHO} = "false"
+then
+       { { echo "$as_me:$LINENO: error: echo required but not found" >&5
+echo "$as_me: error: echo required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mkdir", so it can be a program name with args.
 set dummy mkdir; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18660,6 +18733,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MKDIR" && ac_cv_path_MKDIR="false"
   ;;
 esac
 fi
@@ -18673,6 +18747,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MKDIR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mkdir required but not found" >&5
+echo "$as_me: error: mkdir required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "date", so it can be a program name with args.
 set dummy date; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18699,6 +18780,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DATE" && ac_cv_path_DATE="false"
   ;;
 esac
 fi
@@ -18712,6 +18794,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${DATE} = "false"
+then
+       { { echo "$as_me:$LINENO: error: date required but not found" >&5
+echo "$as_me: error: date required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18738,6 +18827,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MV" && ac_cv_path_MV="false"
   ;;
 esac
 fi
@@ -18751,6 +18841,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MV} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mv required but not found" >&5
+echo "$as_me: error: mv required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "dot", so it can be a program name with args.
 set dummy dot; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18777,6 +18874,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DOT" && ac_cv_path_DOT="false"
   ;;
 esac
 fi
@@ -18790,6 +18888,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "etags", so it can be a program name with args.
 set dummy etags; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18816,6 +18915,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ETAGS" && ac_cv_path_ETAGS="false"
   ;;
 esac
 fi
@@ -18829,6 +18929,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "purify", so it can be a program name with args.
 set dummy purify; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18855,6 +18956,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_PURIFY" && ac_cv_path_PURIFY="false"
   ;;
 esac
 fi
@@ -18868,6 +18970,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "python", so it can be a program name with args.
 set dummy python; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18894,6 +18997,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_PYTHON" && ac_cv_path_PYTHON="false"
   ;;
 esac
 fi
@@ -18907,6 +19011,12 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${PYTHON} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: python required but not found" >&5
+echo "$as_me: WARNING: python required but not found" >&2;}
+fi
+
 # Extract the first word of "qmtest", so it can be a program name with args.
 set dummy qmtest; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18933,6 +19043,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_QMTEST" && ac_cv_path_QMTEST="false"
   ;;
 esac
 fi
@@ -18946,6 +19057,11 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${QMTEST} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: qmtest required but not found" >&5
+echo "$as_me: WARNING: qmtest required but not found" >&2;}
+fi
 
 pyversion=`$PYTHON -V 2>&1 | cut -d\  -f2`
 pymajor=`echo $pyversion | cut -d. -f1`
@@ -23299,7 +23415,6 @@ ${srcdir}/autoconf/mkinstalldirs `dirname lib/CodeGen/SelectionDAG/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/Interpreter/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/JIT/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname lib/Support/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/Sparc/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/X86/Makefile`
@@ -23328,6 +23443,7 @@ ${srcdir}/autoconf/mkinstalldirs `dirname runtime/libdummy/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/libtrace/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile.tests`
+${srcdir}/autoconf/mkinstalldirs `dirname test/QMTestDB/QMTest/llvm.py`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile.programs`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.Makefile`
@@ -23419,24 +23535,25 @@ ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Benchmarks/
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/CustomChecked/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/UnitTests/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C++/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C++/EH/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C++/CompileFail/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/analyze/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/bugpoint/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/extract/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/gccas/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/gccld/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/link/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llc/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/lli/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/opt/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llee/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-as/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/lli/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-ar/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-as/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-dis/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/Burg/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/Burg/Doc/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/TableGen/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-link/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/opt/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname www/docs/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/sample/Makefile`
@@ -23450,6 +23567,13 @@ ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/Makefile.common`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/tools/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/tools/ModuleMaker/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/lib/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/lib/Support/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Burg/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Burg/Doc/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/TableGen/Makefile`
 
 _ACEOF
 
@@ -23483,7 +23607,6 @@ do
   "lib/ExecutionEngine/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/Makefile" ;;
   "lib/ExecutionEngine/Interpreter/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/Interpreter/Makefile" ;;
   "lib/ExecutionEngine/JIT/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/JIT/Makefile" ;;
-  "lib/Support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Support/Makefile" ;;
   "lib/Target/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/Makefile" ;;
   "lib/Target/Sparc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/Sparc/Makefile" ;;
   "lib/Target/X86/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/X86/Makefile" ;;
@@ -23512,6 +23635,7 @@ do
   "runtime/libtrace/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/libtrace/Makefile" ;;
   "test/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile" ;;
   "test/Makefile.tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile.tests" ;;
+  "test/QMTestDB/QMTest/llvm.py" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/QMTestDB/QMTest/llvm.py" ;;
   "test/Programs/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile" ;;
   "test/Programs/Makefile.programs" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile.programs" ;;
   "test/Programs/TEST.aa.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.Makefile" ;;
   "test/Programs/SingleSource/CustomChecked/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/CustomChecked/Makefile" ;;
   "test/Programs/SingleSource/UnitTests/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/UnitTests/Makefile" ;;
   "test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ;;
+  "test/Programs/SingleSource/Regression/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C++/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C++/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C++/EH/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C++/EH/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C++/CompileFail/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C++/CompileFail/Makefile" ;;
   "tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/Makefile" ;;
   "tools/analyze/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/analyze/Makefile" ;;
   "tools/bugpoint/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/bugpoint/Makefile" ;;
   "tools/extract/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/extract/Makefile" ;;
   "tools/gccas/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/gccas/Makefile" ;;
   "tools/gccld/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/gccld/Makefile" ;;
-  "tools/link/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/link/Makefile" ;;
   "tools/llc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llc/Makefile" ;;
-  "tools/lli/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/lli/Makefile" ;;
-  "tools/opt/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/opt/Makefile" ;;
   "tools/llee/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llee/Makefile" ;;
-  "tools/llvm-as/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-as/Makefile" ;;
+  "tools/lli/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/lli/Makefile" ;;
   "tools/llvm-ar/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-ar/Makefile" ;;
+  "tools/llvm-as/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-as/Makefile" ;;
   "tools/llvm-dis/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-dis/Makefile" ;;
-  "utils/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Makefile" ;;
-  "utils/Burg/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Burg/Makefile" ;;
-  "utils/Burg/Doc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Burg/Doc/Makefile" ;;
-  "utils/TableGen/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/TableGen/Makefile" ;;
+  "tools/llvm-link/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-link/Makefile" ;;
+  "tools/opt/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/opt/Makefile" ;;
   "www/docs/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS www/docs/Makefile" ;;
   "projects/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/Makefile" ;;
   "projects/sample/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/sample/Makefile" ;;
   "projects/ModuleMaker/Makefile.common" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/Makefile.common" ;;
   "projects/ModuleMaker/tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/tools/Makefile" ;;
   "projects/ModuleMaker/tools/ModuleMaker/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/tools/ModuleMaker/Makefile" ;;
+  "support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/Makefile" ;;
+  "support/lib/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/lib/Makefile" ;;
+  "support/lib/Support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/lib/Support/Makefile" ;;
+  "support/tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Makefile" ;;
+  "support/tools/Burg/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Burg/Makefile" ;;
+  "support/tools/Burg/Doc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Burg/Doc/Makefile" ;;
+  "support/tools/TableGen/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/TableGen/Makefile" ;;
   "include/Config/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/Config/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -23720,6 +23852,7 @@ s,@ECHO_C@,$ECHO_C,;t t
 s,@ECHO_N@,$ECHO_N,;t t
 s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
+s,@subdirs@,$subdirs,;t t
 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
@@ -24297,7 +24430,6 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     lib/ExecutionEngine/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/Makefile lib/ExecutionEngine/Makefile ;;
     lib/ExecutionEngine/Interpreter/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/Interpreter/Makefile lib/ExecutionEngine/Interpreter/Makefile ;;
     lib/ExecutionEngine/JIT/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/JIT/Makefile lib/ExecutionEngine/JIT/Makefile ;;
-    lib/Support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Support/Makefile lib/Support/Makefile ;;
     lib/Target/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/Makefile lib/Target/Makefile ;;
     lib/Target/Sparc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/Sparc/Makefile lib/Target/Sparc/Makefile ;;
     lib/Target/X86/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/X86/Makefile lib/Target/X86/Makefile ;;
@@ -24326,6 +24458,7 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     runtime/libtrace/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/libtrace/Makefile runtime/libtrace/Makefile ;;
     test/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile test/Makefile ;;
     test/Makefile.tests ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile.tests test/Makefile.tests ;;
+    test/QMTestDB/QMTest/llvm.py ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/QMTestDB/QMTest/llvm.py test/QMTestDB/QMTest/llvm.py ;;
     test/Programs/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile test/Programs/Makefile ;;
     test/Programs/Makefile.programs ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile.programs test/Programs/Makefile.programs ;;
     test/Programs/TEST.aa.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.Makefile test/Programs/TEST.aa.Makefile ;;
@@ -24417,24 +24550,25 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     test/Programs/SingleSource/CustomChecked/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/CustomChecked/Makefile test/Programs/SingleSource/CustomChecked/Makefile ;;
     test/Programs/SingleSource/UnitTests/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/UnitTests/Makefile test/Programs/SingleSource/UnitTests/Makefile ;;
     test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ;;
+    test/Programs/SingleSource/Regression/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/Makefile test/Programs/SingleSource/Regression/Makefile ;;
+    test/Programs/SingleSource/Regression/C/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C/Makefile test/Programs/SingleSource/Regression/C/Makefile ;;
+    test/Programs/SingleSource/Regression/C++/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C++/Makefile test/Programs/SingleSource/Regression/C++/Makefile ;;
+    test/Programs/SingleSource/Regression/C++/EH/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C++/EH/Makefile test/Programs/SingleSource/Regression/C++/EH/Makefile ;;
+    test/Programs/SingleSource/Regression/C++/CompileFail/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C++/CompileFail/Makefile test/Programs/SingleSource/Regression/C++/CompileFail/Makefile ;;
     tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/Makefile tools/Makefile ;;
     tools/analyze/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/analyze/Makefile tools/analyze/Makefile ;;
     tools/bugpoint/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/bugpoint/Makefile tools/bugpoint/Makefile ;;
     tools/extract/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/extract/Makefile tools/extract/Makefile ;;
     tools/gccas/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/gccas/Makefile tools/gccas/Makefile ;;
     tools/gccld/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/gccld/Makefile tools/gccld/Makefile ;;
-    tools/link/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/link/Makefile tools/link/Makefile ;;
     tools/llc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llc/Makefile tools/llc/Makefile ;;
-    tools/lli/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/lli/Makefile tools/lli/Makefile ;;
-    tools/opt/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/opt/Makefile tools/opt/Makefile ;;
     tools/llee/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llee/Makefile tools/llee/Makefile ;;
-    tools/llvm-as/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-as/Makefile tools/llvm-as/Makefile ;;
+    tools/lli/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/lli/Makefile tools/lli/Makefile ;;
     tools/llvm-ar/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-ar/Makefile tools/llvm-ar/Makefile ;;
+    tools/llvm-as/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-as/Makefile tools/llvm-as/Makefile ;;
     tools/llvm-dis/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-dis/Makefile tools/llvm-dis/Makefile ;;
-    utils/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Makefile utils/Makefile ;;
-    utils/Burg/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Burg/Makefile utils/Burg/Makefile ;;
-    utils/Burg/Doc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Burg/Doc/Makefile utils/Burg/Doc/Makefile ;;
-    utils/TableGen/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/TableGen/Makefile utils/TableGen/Makefile ;;
+    tools/llvm-link/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-link/Makefile tools/llvm-link/Makefile ;;
+    tools/opt/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/opt/Makefile tools/opt/Makefile ;;
     www/docs/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/www/docs/Makefile www/docs/Makefile ;;
     projects/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/Makefile projects/Makefile ;;
     projects/sample/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/sample/Makefile projects/sample/Makefile ;;
@@ -24448,6 +24582,13 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     projects/ModuleMaker/Makefile.common ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/Makefile.common projects/ModuleMaker/Makefile.common ;;
     projects/ModuleMaker/tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/tools/Makefile projects/ModuleMaker/tools/Makefile ;;
     projects/ModuleMaker/tools/ModuleMaker/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/tools/ModuleMaker/Makefile projects/ModuleMaker/tools/ModuleMaker/Makefile ;;
+    support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/Makefile support/Makefile ;;
+    support/lib/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/lib/Makefile support/lib/Makefile ;;
+    support/lib/Support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/lib/Support/Makefile support/lib/Support/Makefile ;;
+    support/tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Makefile support/tools/Makefile ;;
+    support/tools/Burg/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Burg/Makefile support/tools/Burg/Makefile ;;
+    support/tools/Burg/Doc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Burg/Doc/Makefile support/tools/Burg/Doc/Makefile ;;
+    support/tools/TableGen/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/TableGen/Makefile support/tools/TableGen/Makefile ;;
   esac
 done
 _ACEOF
@@ -24481,3 +24622,147 @@ if test "$no_create" != yes; then
   $ac_cs_success || { (exit 1); exit 1; }
 fi
 
+#
+# CONFIG_SUBDIRS section.
+#
+if test "$no_recursion" != yes; then
+
+  # Remove --cache-file and --srcdir arguments so they do not pile up.
+  ac_sub_configure_args=
+  ac_prev=
+  for ac_arg in $ac_configure_args; do
+    if test -n "$ac_prev"; then
+      ac_prev=
+      continue
+    fi
+    case $ac_arg in
+    -cache-file | --cache-file | --cache-fil | --cache-fi \
+    | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
+      ac_prev=cache_file ;;
+    -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
+    | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
+    | --c=*)
+      ;;
+    --config-cache | -C)
+      ;;
+    -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
+      ac_prev=srcdir ;;
+    -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
+      ;;
+    -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
+      ac_prev=prefix ;;
+    -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
+      ;;
+    *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
+    esac
+  done
+
+  # Always prepend --prefix to ensure using the same prefix
+  # in subdir configurations.
+  ac_sub_configure_args="--prefix=$prefix $ac_sub_configure_args"
+
+  ac_popdir=`pwd`
+  for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
+
+    # Do not complain, so a configure script can configure whichever
+    # parts of a large source tree are present.
+    test -d $srcdir/$ac_dir || continue
+
+    { echo "$as_me:$LINENO: configuring in $ac_dir" >&5
+echo "$as_me: configuring in $ac_dir" >&6;}
+    { if $as_mkdir_p; then
+    mkdir -p "$ac_dir"
+  else
+    as_dir="$ac_dir"
+    as_dirs=
+    while test ! -d "$as_dir"; do
+      as_dirs="$as_dir $as_dirs"
+      as_dir=`(dirname "$as_dir") 2>/dev/null ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+         X"$as_dir" : 'X\(//\)[^/]' \| \
+         X"$as_dir" : 'X\(//\)$' \| \
+         X"$as_dir" : 'X\(/\)' \| \
+         .     : '\(.\)' 2>/dev/null ||
+echo X"$as_dir" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
+    done
+    test ! -n "$as_dirs" || mkdir $as_dirs
+  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
+   { (exit 1); exit 1; }; }; }
+
+    ac_builddir=.
+
+if test "$ac_dir" != .; then
+  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
+  # A "../" for each directory in $ac_dir_suffix.
+  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
+else
+  ac_dir_suffix= ac_top_builddir=
+fi
+
+case $srcdir in
+  .)  # No --srcdir option.  We are building in place.
+    ac_srcdir=.
+    if test -z "$ac_top_builddir"; then
+       ac_top_srcdir=.
+    else
+       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
+    fi ;;
+  [\\/]* | ?:[\\/]* )  # Absolute path.
+    ac_srcdir=$srcdir$ac_dir_suffix;
+    ac_top_srcdir=$srcdir ;;
+  *) # Relative path.
+    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_builddir$srcdir ;;
+esac
+# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+# absolute.
+ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+
+
+    cd $ac_dir
+
+    # Check for guested configure; otherwise get Cygnus style configure.
+    if test -f $ac_srcdir/configure.gnu; then
+      ac_sub_configure="$SHELL '$ac_srcdir/configure.gnu'"
+    elif test -f $ac_srcdir/configure; then
+      ac_sub_configure="$SHELL '$ac_srcdir/configure'"
+    elif test -f $ac_srcdir/configure.in; then
+      ac_sub_configure=$ac_configure
+    else
+      { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
+echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
+      ac_sub_configure=
+    fi
+
+    # The recursion is here.
+    if test -n "$ac_sub_configure"; then
+      # Make the cache file name correct relative to the subdirectory.
+      case $cache_file in
+      [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
+      *) # Relative path.
+        ac_sub_cache_file=$ac_top_builddir$cache_file ;;
+      esac
+
+      { echo "$as_me:$LINENO: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
+echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
+      # The eval makes quoting arguments work.
+      eval $ac_sub_configure $ac_sub_configure_args \
+           --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir ||
+        { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
+echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+
+    cd $ac_popdir
+  done
+fi
+